Subject: Re: bug#7190: Crash in menus on w32

From: Lennart Borgman <[email-masked]>
Date: Tue, 12 Oct 2010 21:13:08 +0200

On Tue, Oct 12, 2010 at 9:05 PM, Eli Zaretskii <[email-masked]> wrote:
>
> Then in w32_free_submenu_strings, you can see the same info in its
> bare C form.

Thanks. I will use all this info you gave in the next crash.

>> I just meant adding some DebPrint statements and recompile.
>
> I wouldn't know where to add these statements, because we have no idea
> what is causing the memory corruption which leads to the crash.

I would assume that is all happens within the menus. Is the menu code
synched with the other code? Is it perhaps running in a separate
thread and not in Emacs normal GUI thread?